There was an error while trying to load the gem 'coffee-rails' after 8.17 update

Hello, today I have updated my GitLab instance (Debian, Omnibus package) to the 8.17 version. Shortly after the update I couldn’t access the website. I’m not using bundled Nginx, and I’m using Passenger. Error I have found in Nginx’s error.log is below:

Message from application: There was an error while trying to load the gem 'coffee-rails'.

I’ve tried gitlab-ctl reconfigure, update but neither solves it. I will happily provide any neccesary logs.

Thank you very much!

It works now. I’m not sure if this solved it, but I’ve installed nodejs through apt install nodejs and reinstalled GitLab CE through sudo apt-get install --reinstall gitlab-ce, followed by gitlab-cli reconfigure and gitlab-cli restart.

I ran into the same problem updating from CE 8.16.6. I just ran the following which resolved the error gitlab-ctl reconfigure && gitlab-ctl restart